Package nl.tudelft.simulation.dsol.animation.gis.map

## Interface MapImageInterface

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `MapImage`

    public interface MapImageInterface
    extends Serializable

This interface defines the image as defined in the mapInterface.

Copyright (c) 2020-2021 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck

### Method Summary

All Methods Instance Methods Abstract Methods
`Color` `getBackgroundColor()` Getter for property backgroundColor.
`Dimension` `getSize()` Getter for property size.
`void` `setBackgroundColor​(Color backgroundColor)` Setter for property backgroundColor.
`void` `setSize​(Dimension size)` Setter for property size.

### Method Detail

#### getBackgroundColor

    Color getBackgroundColor()

Getter for property backgroundColor.

Returns:
  Color the value of property backgroundColor.

#### setBackgroundColor

    void setBackgroundColor​(Color backgroundColor)

Setter for property backgroundColor.

Parameters:
  `backgroundColor` - Color; New value of property backgroundColor.

#### getSize

    Dimension getSize()

Getter for property size.

Returns:
  Dimension the value of property size.

#### setSize

    void setSize​(Dimension size)

Setter for property size.

Parameters:
  `size` - Dimension; New value of property size.